---
title: DOMTokenList.toggle()
slug: Web/API/DOMTokenList/toggle
tags:
  - API
  - DOM
  - DOMTokenList
  - Method
  - Reference
  - toggle
---
<p>{{APIRef("DOM")}}</p>

<p>The <code><strong>toggle()</strong></code> method of the {{domxref("DOMTokenList")}} interface removes a given <code><var>token</var></code> from the list and returns <code>false</code>. If <em>token</em> doesn't exist it's added and the function returns <code>true</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>tokenList</var>.toggle(<var>token</var> [, <var>force</var>]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>token</var></code></dt>
 <dd>A {{domxref("DOMString")}} representing the token you want to toggle.</dd>
 <dt><code><var>force</var></code> {{optional_inline}}</dt>
 <dd>A {{domxref("Boolean")}} that, if included, turns the toggle into a one way-only operation. If set to <code>false</code>, then <code><var>token</var></code> will <em>only</em> be removed, but not added. If set to <code>true</code>, then <code><var>token</var></code> will <em>only</em> be added, but not removed.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Boolean")}} indicating whether <code><var>token</var></code> is in the list after the call.</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we retrieve the list of classes set on a {{htmlelement("span")}} element as a <code>DOMTokenList</code> using {{domxref("Element.classList")}}. We then replace a token in the list, and write the list into the <code>&lt;span&gt;</code>'s {{domxref("Node.textContent")}}.</p>

<p>First, the HTML:</p>

<pre class="brush: html">&lt;span class="a b"&gt;classList is 'a b'&lt;/span&gt;</pre>

<p>Now the JavaScript:</p>

<pre class="brush: js">let span = document.querySelector("span");
let classes = span.classList;

span.addEventListener('click', function() {
  let result = classes.toggle("c");

  if (result) {
    span.textContent = `'c' added; classList is now "${classes}".`;
  } else {
    span.textContent = `'c' removed; classList is now "${classes}".`;
  }
})
</pre>

<p>The output looks like this:</p>

<p>{{ EmbedLiveSample('Examples', '100%', 60) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-domtokenlist-toggle','toggle()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMTokenList.toggle")}}</p>
</div>
